CCfits: CCfits Namespace Reference

CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Enumerations | Functions
CCfits Namespace Reference

Namespace enclosing all CCfits classes and globals definitions. More...

## Classes
class | AsciiTable
| Class Representing Ascii Table Extensions. More...
class | BinTable
| Class Representing Binary Table Extensions. Contains columns with scalar or vector row entries. More...
class | Column
| Abstract base class for Column objects. More...
class | ExtHDU
| base class for all FITS extension HDUs, i.e. Image Extensions and Tables. More...
class | FITS
| Memory object representation of a disk FITS file. More...
class | FitsError
| FitsError is the exception thrown by non-zero cfitsio status codes. More...
class | FitsException
| FitsException is the base class for all exceptions thrown by this library. More...
class | FitsFatal
| [potential] base class for exceptions to be thrown on internal library error. More...
class | GroupTable
| Class representing a hierarchical association of Header Data Units (HDUs). More...
class | HDU
| Base class for all HDU [Header-Data Unit] objects. More...
class | ImageExt
class | Keyword
| Abstract base class defining the interface for Keyword objects. More...
class | PHDU
| class representing the primary HDU for a FITS file. More...
class | Table
## Typedefs
typedef std::multimap < std::string, CCfits::Column * > | ColMap
| Type definition for a table's column container.
## Enumerations
enum | ValueType
| CCfits value types and their CFITSIO equivalents (in caps) More...
## Functions
std::ostream & | operator<< (std::ostream &s, const FITS &right)
| Output operator. Calls output operators for HDUs in turn.
std::ostream & | operator<< (std::ostream &s, const CCfits::HDU &right)
| Output operator for HDU objects. Primarily for testing purposes.
std::ostream & | operator<< (std::ostream &s, const Column &right)
| output operator for Column objects.

## Detailed Description

Namespace enclosing all CCfits classes and globals definitions.

## Enumeration Type Documentation

enum CCfits::ValueType

CCfits value types and their CFITSIO equivalents (in caps)

Tnull, Tbit = TBIT, Tbyte = TBYTE, Tlogical = TLOGICAL, Tstring = TSTRING, Tushort = TUSHORT, Tshort = TSHORT, Tuint = TUINT, Tint = TINT, Tulong = TULONG, Tlong = TLONG, Tlonglong = TLONGLONG, Tfloat = TFLOAT, Tdouble = TDOUBLE, Tcomplex = TCOMPLEX, Tdblcomplex=TDBLCOMPLEX, VTbit= -TBIT, VTbyte=-TBYTE, VTlogical=-TLOGICAL, VTstring=-TSTRING, VTushort=-TUSHORT, VTshort=-TSHORT, VTuint=-TUINT, VTint=-TINT, VTulong=-TULONG, VTlong=-TLONG, VTlonglong=-TLONGLONG, VTfloat=-TFLOAT, VTdouble=-TDOUBLE, VTcomplex=-TCOMPLEX, VTdblcomplex=-TDBLCOMPLEX

## Function Documentation

std::ostream & operator<< | ( | std::ostream & | s,
|  | const FITS & | right
| ) |  | `[inline]`

Output operator. Calls output operators for HDUs in turn.

This operator acts similarly to the ftool fdump for a fits file, except that there is no freedom to output partial information.

The current implementation of this operator for PHDU objects only outputs the array sizes, not the data, which that for tables prints the data also.

Provision of this operator is intended largely for debugging purposes.